Package uk.ac.starlink.util

# Interface IOConsumer<T>

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IOConsumer<T>
Consumer-like interface that allows an IOException to be thrown.

See Also:
  - `Consumer`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(T value)`
Performs an operation on the given value.

## Method Details

### accept

void accept(T value) throws IOException
Performs an operation on the given value.

Throws:
  `IOException` - in case of error